# Contributing to OSDU on Azure infrastructure

## Quicklinks

* [Code of Conduct](CODE_OF_CONDUCT.md)
* [Current Process](#current-process)


## Getting Started

We are trying to formalize a process for contributing to the repo which is a work in process and will continue to evolve.

Contributions are made to this repo via Issues and Pull Requests (PRs). A few general guidelines that cover both:


- Search for existing Issues and PRs before creating your own.
- We work hard to make sure issues are handled but, it could take a while when dealing with infrastructure to investigate the impact of a change and determine the proper manner of making the change.
- Our goal is to try to now severly reduce the breaking changes necessary.
- As we move forward it is very helpful to have Merge Requests that relate to an Issue Tracking item where conversation can occur and the implementation has been discussed prior to code being submitted.

## Current Process

1. Create an Issue that describes what is necessary.

  - An issue could define the overall story of what is being accomplished.
  - An issue should define the acceptance criteria of what done means.
  - An issue should be marked as approved by a maintainer when fully understood and agreed to.

2. Work the Issue and perform an implementation.

  - Issues should be estimated as to how long it is thought it would take to actually implement.
  - Issues should be added to milestones when it is planned to actually commit to the work.
  - Issues can be worked by developers as long as a maintainer is overseeing the effort.
  - When issues are being worked a representative should be communicating to the Maintainer team frequently.

3. Submit the MR for Maintainer approval.

  - Merge Requests are requested to be as small as possible to reduce the risk and impact.
  - There can be multiple Merge Request for an Issue.
  - Stake holders should be defined and tagged to the MR.
  - An approval needs to be given by a Maintainer and any Stakeholders identified.
  - For some things a Project Owner Approval may be necessary.
